import org.osgi.framework.*;

import javax.swing.*;

/**
 * @author pav
 * @version $Id: $
 */
public class JIDEDemoActivator implements BundleActivator {

    public JIDEDemoActivator() {
    }

    @Override
    public void start(BundleContext context) throws Exception {
        //NOTE: This is needed in order for Swing to use the proper class loader
        //See here for more information:
        //http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4155617
        //http://www.eclipse.org/forums/index.php/t/30935/
        UIManager.put("ClassLoader", getClass().getClassLoader());

        if(JideDemos._frame==null){
            JideDemos.main(null);
        } else {
            JideDemos._frame.setVisible(true);
            JideDemos._frame.toFront();
        }
    }

    @Override
    public void stop(BundleContext context) throws Exception {
        if(JideDemos._frame!=null){
            JideDemos._frame.setVisible(false);
        }
    }
}
